Betta WordPress theme

A lean, fast and flexible WordPress theme for your corporate website

Betta requires WordPress >= 4.7 and PHP >= 7.0

Build your next website faster with Betta